{# -*- mode: jinja-html -*- #}
{% extends 'base.html' %}
{% import 'bootstrap/wtf.html' as wtf %}

{% block styles %}
{{super()}}
{% endblock %}

{% block app_content %}
    <h1>{{ title }}</h1>
    <br>
    <div class="row">
        <div class="col-md-4">
            <p>
                (*) champs requis
            </p>
            {{ wtf.quick_form(form, novalidate=True) }}
        </div>
    </div>

    <script>
        {# pour les formulaires offre #}
        var champ_depts = document.getElementById("depts")
        if (champ_depts !== null) {
            var closest_form_control = champ_depts.closest(".form-control")
            closest_form_control.classList.remove("form-control")
        }
    </script>
{% endblock %}